curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions/sub_xM4VcfRWcJP8D \
-X DELETE \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.delete('sub_xM4VcfRWcJP8D');
response = method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.delete('sub_xM4VcfRWcJP8D')
{
"id": "sub_xM4VcfRWcJP8D",
"name": "update",
"status": "inactive",
"payload": null,
"latest_request_id": "upt_ELGT4hfikTTCJ",
"created_at": "2024-03-27T19:05:34.417Z",
"updated_at": "2024-03-27T19:05:34.417Z"
}
Subscriptions
Delete a Subscription
DELETE
/
accounts
/
{acc_id}
/
subscriptions
/
{sub_id}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions/sub_xM4VcfRWcJP8D \
-X DELETE \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.delete('sub_xM4VcfRWcJP8D');
response = method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.delete('sub_xM4VcfRWcJP8D')
{
"id": "sub_xM4VcfRWcJP8D",
"name": "update",
"status": "inactive",
"payload": null,
"latest_request_id": "upt_ELGT4hfikTTCJ",
"created_at": "2024-03-27T19:05:34.417Z",
"updated_at": "2024-03-27T19:05:34.417Z"
}
Deleting a Subscription means to unsubscribe or unenroll an Entity from automatically
receiving new Product resources.
Path Parameters
Returns
Returns a Subscription object.curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions/sub_xM4VcfRWcJP8D \
-X DELETE \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.delete('sub_xM4VcfRWcJP8D');
response = method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.delete('sub_xM4VcfRWcJP8D')
{
"id": "sub_xM4VcfRWcJP8D",
"name": "update",
"status": "inactive",
"payload": null,
"latest_request_id": "upt_ELGT4hfikTTCJ",
"created_at": "2024-03-27T19:05:34.417Z",
"updated_at": "2024-03-27T19:05:34.417Z"
}
⌘I